    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.io.ObjectInput

public interface ObjectInput
extends DataInput

ObjectInput extends the DataInput interface to include the reading of objects. DataInput includes methods for the input of primitive types, ObjectInput extends that interface to include objects, arrays, and Strings.

See Also:
  InputStream, ObjectOutputStream, ObjectInputStream

##

available()
  Returns the number of bytes that can be read without blocking.
close()
  Closes the input stream.
read()
  Reads a byte of data.
read(byte[])
  Reads into an array of bytes.
read(byte[], int, int)
  Reads into an array of bytes.
readObject()
  Read and return an object.
skip(long)
  Skips n bytes of input.

##

readObject

     public abstract Object readObject() throws ClassNotFoundException, IOException

  Read and return an object. The class that implements this interface defines where the object is "read" from.

  Throws: ClassNotFoundException
    If the class of a serialized object cannot be found.
  Throws: IOException
    If any of the usual Input/Output related exceptions occur.

read

     public abstract int read() throws IOException

  Reads a byte of data. This method will block if no input is available.

  Returns:
    the byte read, or -1 if the end of the stream is reached.
  Throws: IOException
    If an I/O error has occurred.

read

     public abstract int read(byte b[]) throws IOException

  Reads into an array of bytes. This method will block until some input is available.

  Parameters:
    b - the buffer into which the data is read
  Returns:
    the actual number of bytes read, -1 is returned when the end of the stream is reached.
  Throws: IOException
    If an I/O error has occurred.

read

     public abstract int read(byte b[],
                              int off,
                              int len) throws IOException

  Reads into an array of bytes. This method will block until some input is available.

  Parameters:
    b - the buffer into which the data is read
    off - the start offset of the data
    len - the maximum number of bytes read
  Returns:
    the actual number of bytes read, -1 is returned when the end of the stream is reached.
  Throws: IOException
    If an I/O error has occurred.

skip

     public abstract long skip(long n) throws IOException

  Skips n bytes of input.

  Parameters:
    n - the number of bytes to be skipped
  Returns:
    the actual number of bytes skipped.
  Throws: IOException
    If an I/O error has occurred.

available

     public abstract int available() throws IOException

  Returns the number of bytes that can be read without blocking.

  Returns:
    the number of available bytes.

close

     public abstract void close() throws IOException

  Closes the input stream. Must be called to release any resources associated with the stream.

  Throws: IOException
    If an I/O error has occurred.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.